Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 1640)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 1682)
@@ -1,4 +1,3 @@
- MODULE advec_ws
-
+!> @file advec_ws.f90
 !--------------------------------------------------------------------------------!
 ! This file is part of PALM.
@@ -20,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Code annotations made doxygen readable 
 ! 
 ! Former revisions:
@@ -136,15 +135,18 @@
 ! Description:
 ! ------------
-! Advection scheme for scalars and momentum using the flux formulation of
-! Wicker and Skamarock 5th order. Additionally the module contains of a 
-! routine using for initialisation and steering of the statical evaluation. 
-! The computation of turbulent fluxes takes place inside the advection
-! routines.
-! Near non-cyclic boundaries the order of the applied advection scheme is
-! degraded.
-! A divergence correction is applied. It is necessary for topography, since
-! the divergence is not sufficiently reduced, resulting in erroneous fluxes and
-! partly numerical instabilities. 
+!> Advection scheme for scalars and momentum using the flux formulation of
+!> Wicker and Skamarock 5th order. Additionally the module contains of a 
+!> routine using for initialisation and steering of the statical evaluation. 
+!> The computation of turbulent fluxes takes place inside the advection
+!> routines.
+!> Near non-cyclic boundaries the order of the applied advection scheme is
+!> degraded.
+!> A divergence correction is applied. It is necessary for topography, since
+!> the divergence is not sufficiently reduced, resulting in erroneous fluxes and
+!> partly numerical instabilities. 
 !-----------------------------------------------------------------------------!
+ MODULE advec_ws
+
+ 
 
     PRIVATE
@@ -197,5 +199,7 @@
 
 !------------------------------------------------------------------------------!
-! Initialization of WS-scheme
+! Description:
+! ------------
+!> Initialization of WS-scheme
 !------------------------------------------------------------------------------!
     SUBROUTINE ws_init
@@ -351,5 +355,7 @@
 
 !------------------------------------------------------------------------------!
-! Initialize variables used for storing statistic quantities (fluxes, variances)
+! Description:
+! ------------
+!> Initialize variables used for storing statistic quantities (fluxes, variances)
 !------------------------------------------------------------------------------!
     SUBROUTINE ws_statistics
@@ -395,5 +401,7 @@
 
 !------------------------------------------------------------------------------!
-! Scalar advection - Call for grid point i,j
+! Description:
+! ------------
+!> Scalar advection - Call for grid point i,j
 !------------------------------------------------------------------------------!
     SUBROUTINE advec_s_ws_ij( i, j, sk, sk_char, swap_flux_y_local,            &
@@ -428,66 +436,66 @@
        IMPLICIT NONE
 
-       CHARACTER (LEN = *), INTENT(IN) ::  sk_char !:
+       CHARACTER (LEN = *), INTENT(IN) ::  sk_char !<
        
-       INTEGER(iwp) ::  i     !:
-       INTEGER(iwp) ::  ibit0 !:
-       INTEGER(iwp) ::  ibit1 !:
-       INTEGER(iwp) ::  ibit2 !:
-       INTEGER(iwp) ::  ibit3 !:
-       INTEGER(iwp) ::  ibit4 !:
-       INTEGER(iwp) ::  ibit5 !:
-       INTEGER(iwp) ::  ibit6 !:
-       INTEGER(iwp) ::  ibit7 !:
-       INTEGER(iwp) ::  ibit8 !:
-       INTEGER(iwp) ::  i_omp !:
-       INTEGER(iwp) ::  j     !:
-       INTEGER(iwp) ::  k     !:
-       INTEGER(iwp) ::  k_mm  !:
-       INTEGER(iwp) ::  k_mmm !:
-       INTEGER(iwp) ::  k_pp  !:
-       INTEGER(iwp) ::  k_ppp !:
-       INTEGER(iwp) ::  tn    !:
+       INTEGER(iwp) ::  i     !<
+       INTEGER(iwp) ::  ibit0 !<
+       INTEGER(iwp) ::  ibit1 !<
+       INTEGER(iwp) ::  ibit2 !<
+       INTEGER(iwp) ::  ibit3 !<
+       INTEGER(iwp) ::  ibit4 !<
+       INTEGER(iwp) ::  ibit5 !<
+       INTEGER(iwp) ::  ibit6 !<
+       INTEGER(iwp) ::  ibit7 !<
+       INTEGER(iwp) ::  ibit8 !<
+       INTEGER(iwp) ::  i_omp !<
+       INTEGER(iwp) ::  j     !<
+       INTEGER(iwp) ::  k     !<
+       INTEGER(iwp) ::  k_mm  !<
+       INTEGER(iwp) ::  k_mmm !<
+       INTEGER(iwp) ::  k_pp  !<
+       INTEGER(iwp) ::  k_ppp !<
+       INTEGER(iwp) ::  tn    !<
        
-       REAL(wp)     ::  diss_d !:
-       REAL(wp)     ::  div    !:
-       REAL(wp)     ::  flux_d !:
-       REAL(wp)     ::  fd_1   !:
-       REAL(wp)     ::  fl_1   !:
-       REAL(wp)     ::  fn_1   !:
-       REAL(wp)     ::  fr_1   !:
-       REAL(wp)     ::  fs_1   !:
-       REAL(wp)     ::  ft_1   !:
-       REAL(wp)     ::  phi_d  !:
-       REAL(wp)     ::  phi_l  !:
-       REAL(wp)     ::  phi_n  !:
-       REAL(wp)     ::  phi_r  !:
-       REAL(wp)     ::  phi_s  !:
-       REAL(wp)     ::  phi_t  !:
-       REAL(wp)     ::  rd     !:
-       REAL(wp)     ::  rl     !:
-       REAL(wp)     ::  rn     !:
-       REAL(wp)     ::  rr     !:
-       REAL(wp)     ::  rs     !:
-       REAL(wp)     ::  rt     !:
-       REAL(wp)     ::  u_comp !:
-       REAL(wp)     ::  v_comp !:
+       REAL(wp)     ::  diss_d !<
+       REAL(wp)     ::  div    !<
+       REAL(wp)     ::  flux_d !<
+       REAL(wp)     ::  fd_1   !<
+       REAL(wp)     ::  fl_1   !<
+       REAL(wp)     ::  fn_1   !<
+       REAL(wp)     ::  fr_1   !<
+       REAL(wp)     ::  fs_1   !<
+       REAL(wp)     ::  ft_1   !<
+       REAL(wp)     ::  phi_d  !<
+       REAL(wp)     ::  phi_l  !<
+       REAL(wp)     ::  phi_n  !<
+       REAL(wp)     ::  phi_r  !<
+       REAL(wp)     ::  phi_s  !<
+       REAL(wp)     ::  phi_t  !<
+       REAL(wp)     ::  rd     !<
+       REAL(wp)     ::  rl     !<
+       REAL(wp)     ::  rn     !<
+       REAL(wp)     ::  rr     !<
+       REAL(wp)     ::  rs     !<
+       REAL(wp)     ::  rt     !<
+       REAL(wp)     ::  u_comp !<
+       REAL(wp)     ::  v_comp !<
        
 #if defined( __nopointer )
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk !:
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk !<
 #else
-       REAL(wp), DIMENSION(:,:,:), POINTER    ::  sk     !:
+       REAL(wp), DIMENSION(:,:,:), POINTER    ::  sk     !<
 #endif
-       REAL(wp), DIMENSION(nzb:nzt+1)         ::  diss_n !:
-       REAL(wp), DIMENSION(nzb:nzt+1)         ::  diss_r !:
-       REAL(wp), DIMENSION(nzb:nzt+1)         ::  diss_t !:
-       REAL(wp), DIMENSION(nzb:nzt+1)         ::  flux_n !:
-       REAL(wp), DIMENSION(nzb:nzt+1)         ::  flux_r !:
-       REAL(wp), DIMENSION(nzb:nzt+1)         ::  flux_t !:
+       REAL(wp), DIMENSION(nzb:nzt+1)         ::  diss_n !<
+       REAL(wp), DIMENSION(nzb:nzt+1)         ::  diss_r !<
+       REAL(wp), DIMENSION(nzb:nzt+1)         ::  diss_t !<
+       REAL(wp), DIMENSION(nzb:nzt+1)         ::  flux_n !<
+       REAL(wp), DIMENSION(nzb:nzt+1)         ::  flux_r !<
+       REAL(wp), DIMENSION(nzb:nzt+1)         ::  flux_t !<
        
-       REAL(wp), DIMENSION(nzb+1:nzt,0:threads_per_task-1) ::  swap_diss_y_local !:
-       REAL(wp), DIMENSION(nzb+1:nzt,0:threads_per_task-1) ::  swap_flux_y_local !:
+       REAL(wp), DIMENSION(nzb+1:nzt,0:threads_per_task-1) ::  swap_diss_y_local !<
+       REAL(wp), DIMENSION(nzb+1:nzt,0:threads_per_task-1) ::  swap_flux_y_local !<
        
-       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn,0:threads_per_task-1) ::  swap_diss_x_local !:
-       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn,0:threads_per_task-1) ::  swap_flux_x_local !:
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn,0:threads_per_task-1) ::  swap_diss_x_local !<
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn,0:threads_per_task-1) ::  swap_flux_x_local !<
        
 
@@ -1200,5 +1208,7 @@
 
 !------------------------------------------------------------------------------!
-! Advection of u-component - Call for grid point i,j
+! Description:
+! ------------
+!> Advection of u-component - Call for grid point i,j
 !------------------------------------------------------------------------------!
     SUBROUTINE advec_u_ws_ij( i, j, i_omp, tn )
@@ -1226,38 +1236,38 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i      !:
-       INTEGER(iwp) ::  ibit9  !:
-       INTEGER(iwp) ::  ibit10 !:
-       INTEGER(iwp) ::  ibit11 !:
-       INTEGER(iwp) ::  ibit12 !:
-       INTEGER(iwp) ::  ibit13 !:
-       INTEGER(iwp) ::  ibit14 !:
-       INTEGER(iwp) ::  ibit15 !:
-       INTEGER(iwp) ::  ibit16 !:
-       INTEGER(iwp) ::  ibit17 !:
-       INTEGER(iwp) ::  i_omp  !:
-       INTEGER(iwp) ::  j      !:
-       INTEGER(iwp) ::  k      !:
-       INTEGER(iwp) ::  k_mm   !:
-       INTEGER(iwp) ::  k_pp   !:
-       INTEGER(iwp) ::  k_ppp  !:
-       INTEGER(iwp) ::  tn     !:
+       INTEGER(iwp) ::  i      !<
+       INTEGER(iwp) ::  ibit9  !<
+       INTEGER(iwp) ::  ibit10 !<
+       INTEGER(iwp) ::  ibit11 !<
+       INTEGER(iwp) ::  ibit12 !<
+       INTEGER(iwp) ::  ibit13 !<
+       INTEGER(iwp) ::  ibit14 !<
+       INTEGER(iwp) ::  ibit15 !<
+       INTEGER(iwp) ::  ibit16 !<
+       INTEGER(iwp) ::  ibit17 !<
+       INTEGER(iwp) ::  i_omp  !<
+       INTEGER(iwp) ::  j      !<
+       INTEGER(iwp) ::  k      !<
+       INTEGER(iwp) ::  k_mm   !<
+       INTEGER(iwp) ::  k_pp   !<
+       INTEGER(iwp) ::  k_ppp  !<
+       INTEGER(iwp) ::  tn     !<
        
-       REAL(wp)    ::  diss_d   !:
-       REAL(wp)    ::  div      !:
-       REAL(wp)    ::  flux_d   !:
-       REAL(wp)    ::  gu       !:
-       REAL(wp)    ::  gv       !:
-       REAL(wp)    ::  u_comp_l !:
-       REAL(wp)    ::  v_comp   !:
-       REAL(wp)    ::  w_comp   !:
+       REAL(wp)    ::  diss_d   !<
+       REAL(wp)    ::  div      !<
+       REAL(wp)    ::  flux_d   !<
+       REAL(wp)    ::  gu       !<
+       REAL(wp)    ::  gv       !<
+       REAL(wp)    ::  u_comp_l !<
+       REAL(wp)    ::  v_comp   !<
+       REAL(wp)    ::  w_comp   !<
        
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  diss_n !:
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  diss_r !:
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  diss_t !:
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  flux_n !:
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  flux_r !:
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  flux_t !:
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  u_comp !:
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  diss_n !<
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  diss_r !<
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  diss_t !<
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  flux_n !<
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  flux_r !<
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  flux_t !<
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  u_comp !<
 
        gu = 2.0_wp * u_gtrans
@@ -1673,5 +1683,7 @@
 
 !-----------------------------------------------------------------------------!
-! Advection of v-component - Call for grid point i,j
+! Description:
+! ------------
+!> Advection of v-component - Call for grid point i,j
 !-----------------------------------------------------------------------------!
    SUBROUTINE advec_v_ws_ij( i, j, i_omp, tn )
@@ -1699,38 +1711,38 @@
        IMPLICIT NONE
 
-       INTEGER(iwp)  ::  i      !:
-       INTEGER(iwp)  ::  ibit18 !:
-       INTEGER(iwp)  ::  ibit19 !:
-       INTEGER(iwp)  ::  ibit20 !:
-       INTEGER(iwp)  ::  ibit21 !:
-       INTEGER(iwp)  ::  ibit22 !:
-       INTEGER(iwp)  ::  ibit23 !:
-       INTEGER(iwp)  ::  ibit24 !:
-       INTEGER(iwp)  ::  ibit25 !:
-       INTEGER(iwp)  ::  ibit26 !:
-       INTEGER(iwp)  ::  i_omp  !:
-       INTEGER(iwp)  ::  j      !:
-       INTEGER(iwp)  ::  k      !:
-       INTEGER(iwp)  ::  k_mm   !:
-       INTEGER(iwp)  ::  k_pp   !:
-       INTEGER(iwp)  ::  k_ppp  !:
-       INTEGER(iwp)  ::  tn     !:
+       INTEGER(iwp)  ::  i      !<
+       INTEGER(iwp)  ::  ibit18 !<
+       INTEGER(iwp)  ::  ibit19 !<
+       INTEGER(iwp)  ::  ibit20 !<
+       INTEGER(iwp)  ::  ibit21 !<
+       INTEGER(iwp)  ::  ibit22 !<
+       INTEGER(iwp)  ::  ibit23 !<
+       INTEGER(iwp)  ::  ibit24 !<
+       INTEGER(iwp)  ::  ibit25 !<
+       INTEGER(iwp)  ::  ibit26 !<
+       INTEGER(iwp)  ::  i_omp  !<
+       INTEGER(iwp)  ::  j      !<
+       INTEGER(iwp)  ::  k      !<
+       INTEGER(iwp)  ::  k_mm   !<
+       INTEGER(iwp)  ::  k_pp   !<
+       INTEGER(iwp)  ::  k_ppp  !<
+       INTEGER(iwp)  ::  tn     !<
        
-       REAL(wp)     ::  diss_d   !:
-       REAL(wp)     ::  div      !:
-       REAL(wp)     ::  flux_d   !:
-       REAL(wp)     ::  gu       !:
-       REAL(wp)     ::  gv       !:
-       REAL(wp)     ::  u_comp   !:
-       REAL(wp)     ::  v_comp_l !:
-       REAL(wp)     ::  w_comp   !:
+       REAL(wp)     ::  diss_d   !<
+       REAL(wp)     ::  div      !<
+       REAL(wp)     ::  flux_d   !<
+       REAL(wp)     ::  gu       !<
+       REAL(wp)     ::  gv       !<
+       REAL(wp)     ::  u_comp   !<
+       REAL(wp)     ::  v_comp_l !<
+       REAL(wp)     ::  w_comp   !<
        
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_n !:
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_r !:
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_t !:
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_n !:
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_r !:
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_t !:
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  v_comp !:
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_n !<
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_r !<
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_t !<
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_n !<
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_r !<
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_t !<
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  v_comp !<
 
        gu = 2.0_wp * u_gtrans
@@ -2156,5 +2168,7 @@
 
 !------------------------------------------------------------------------------!
-! Advection of w-component - Call for grid point i,j
+! Description:
+! ------------
+!> Advection of w-component - Call for grid point i,j
 !------------------------------------------------------------------------------!
     SUBROUTINE advec_w_ws_ij( i, j, i_omp, tn )
@@ -2183,37 +2197,37 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i      !:
-       INTEGER(iwp) ::  ibit27 !:
-       INTEGER(iwp) ::  ibit28 !:
-       INTEGER(iwp) ::  ibit29 !:
-       INTEGER(iwp) ::  ibit30 !:
-       INTEGER(iwp) ::  ibit31 !:
-       INTEGER(iwp) ::  ibit32 !:
-       INTEGER(iwp) ::  ibit33 !:
-       INTEGER(iwp) ::  ibit34 !:
-       INTEGER(iwp) ::  ibit35 !:
-       INTEGER(iwp) ::  i_omp  !:
-       INTEGER(iwp) ::  j      !:
-       INTEGER(iwp) ::  k      !:
-       INTEGER(iwp) ::  k_mm   !:
-       INTEGER(iwp) ::  k_pp   !:
-       INTEGER(iwp) ::  k_ppp  !:
-       INTEGER(iwp) ::  tn     !:
+       INTEGER(iwp) ::  i      !<
+       INTEGER(iwp) ::  ibit27 !<
+       INTEGER(iwp) ::  ibit28 !<
+       INTEGER(iwp) ::  ibit29 !<
+       INTEGER(iwp) ::  ibit30 !<
+       INTEGER(iwp) ::  ibit31 !<
+       INTEGER(iwp) ::  ibit32 !<
+       INTEGER(iwp) ::  ibit33 !<
+       INTEGER(iwp) ::  ibit34 !<
+       INTEGER(iwp) ::  ibit35 !<
+       INTEGER(iwp) ::  i_omp  !<
+       INTEGER(iwp) ::  j      !<
+       INTEGER(iwp) ::  k      !<
+       INTEGER(iwp) ::  k_mm   !<
+       INTEGER(iwp) ::  k_pp   !<
+       INTEGER(iwp) ::  k_ppp  !<
+       INTEGER(iwp) ::  tn     !<
        
-       REAL(wp)    ::  diss_d  !:
-       REAL(wp)    ::  div     !:
-       REAL(wp)    ::  flux_d  !:
-       REAL(wp)    ::  gu      !:
-       REAL(wp)    ::  gv      !:
-       REAL(wp)    ::  u_comp  !:
-       REAL(wp)    ::  v_comp  !:
-       REAL(wp)    ::  w_comp  !:
+       REAL(wp)    ::  diss_d  !<
+       REAL(wp)    ::  div     !<
+       REAL(wp)    ::  flux_d  !<
+       REAL(wp)    ::  gu      !<
+       REAL(wp)    ::  gv      !<
+       REAL(wp)    ::  u_comp  !<
+       REAL(wp)    ::  v_comp  !<
+       REAL(wp)    ::  w_comp  !<
        
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_n !:
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_r !:
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_t !:
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_n !:
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_r !:
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_t !:
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_n !<
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_r !<
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_t !<
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_n !<
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_r !<
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_t !<
 
        gu = 2.0_wp * u_gtrans
@@ -2613,5 +2627,7 @@
 
 !------------------------------------------------------------------------------!
-! Scalar advection - Call for all grid points
+! Description:
+! ------------
+!> Scalar advection - Call for all grid points
 !------------------------------------------------------------------------------!
     SUBROUTINE advec_s_ws( sk, sk_char )
@@ -2642,66 +2658,66 @@
        IMPLICIT NONE
 
-       CHARACTER (LEN = *), INTENT(IN)    ::  sk_char !:
+       CHARACTER (LEN = *), INTENT(IN)    ::  sk_char !<
        
-       INTEGER(iwp) ::  i      !:
-       INTEGER(iwp) ::  ibit0  !:
-       INTEGER(iwp) ::  ibit1  !:
-       INTEGER(iwp) ::  ibit2  !:
-       INTEGER(iwp) ::  ibit3  !:
-       INTEGER(iwp) ::  ibit4  !:
-       INTEGER(iwp) ::  ibit5  !:
-       INTEGER(iwp) ::  ibit6  !:
-       INTEGER(iwp) ::  ibit7  !:
-       INTEGER(iwp) ::  ibit8  !:
-       INTEGER(iwp) ::  j      !:
-       INTEGER(iwp) ::  k      !:
-       INTEGER(iwp) ::  k_mm   !:
-       INTEGER(iwp) ::  k_mmm  !:
-       INTEGER(iwp) ::  k_pp   !:
-       INTEGER(iwp) ::  k_ppp  !:
-       INTEGER(iwp) ::  tn = 0 !:
+       INTEGER(iwp) ::  i      !<
+       INTEGER(iwp) ::  ibit0  !<
+       INTEGER(iwp) ::  ibit1  !<
+       INTEGER(iwp) ::  ibit2  !<
+       INTEGER(iwp) ::  ibit3  !<
+       INTEGER(iwp) ::  ibit4  !<
+       INTEGER(iwp) ::  ibit5  !<
+       INTEGER(iwp) ::  ibit6  !<
+       INTEGER(iwp) ::  ibit7  !<
+       INTEGER(iwp) ::  ibit8  !<
+       INTEGER(iwp) ::  j      !<
+       INTEGER(iwp) ::  k      !<
+       INTEGER(iwp) ::  k_mm   !<
+       INTEGER(iwp) ::  k_mmm  !<
+       INTEGER(iwp) ::  k_pp   !<
+       INTEGER(iwp) ::  k_ppp  !<
+       INTEGER(iwp) ::  tn = 0 !<
        
 #if defined( __nopointer )
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk !:
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk !<
 #else
-       REAL(wp), DIMENSION(:,:,:), POINTER ::  sk !:
+       REAL(wp), DIMENSION(:,:,:), POINTER ::  sk !<
 #endif
 
-       REAL(wp) ::  diss_d !:
-       REAL(wp) ::  div    !:
-       REAL(wp) ::  flux_d !:
-       REAL(wp) ::  fd_1   !:
-       REAL(wp) ::  fl_1   !:
-       REAL(wp) ::  fn_1   !:
-       REAL(wp) ::  fr_1   !:
-       REAL(wp) ::  fs_1   !:
-       REAL(wp) ::  ft_1   !:
-       REAL(wp) ::  phi_d  !:
-       REAL(wp) ::  phi_l  !:
-       REAL(wp) ::  phi_n  !:
-       REAL(wp) ::  phi_r  !:
-       REAL(wp) ::  phi_s  !:
-       REAL(wp) ::  phi_t  !:
-       REAL(wp) ::  rd     !:
-       REAL(wp) ::  rl     !:
-       REAL(wp) ::  rn     !:
-       REAL(wp) ::  rr     !:
-       REAL(wp) ::  rs     !:
-       REAL(wp) ::  rt     !:
-       REAL(wp) ::  u_comp !:
-       REAL(wp) ::  v_comp !:
+       REAL(wp) ::  diss_d !<
+       REAL(wp) ::  div    !<
+       REAL(wp) ::  flux_d !<
+       REAL(wp) ::  fd_1   !<
+       REAL(wp) ::  fl_1   !<
+       REAL(wp) ::  fn_1   !<
+       REAL(wp) ::  fr_1   !<
+       REAL(wp) ::  fs_1   !<
+       REAL(wp) ::  ft_1   !<
+       REAL(wp) ::  phi_d  !<
+       REAL(wp) ::  phi_l  !<
+       REAL(wp) ::  phi_n  !<
+       REAL(wp) ::  phi_r  !<
+       REAL(wp) ::  phi_s  !<
+       REAL(wp) ::  phi_t  !<
+       REAL(wp) ::  rd     !<
+       REAL(wp) ::  rl     !<
+       REAL(wp) ::  rn     !<
+       REAL(wp) ::  rr     !<
+       REAL(wp) ::  rs     !<
+       REAL(wp) ::  rt     !<
+       REAL(wp) ::  u_comp !<
+       REAL(wp) ::  v_comp !<
        
-       REAL(wp), DIMENSION(nzb:nzt)   ::  diss_n !:
-       REAL(wp), DIMENSION(nzb:nzt)   ::  diss_r !:
-       REAL(wp), DIMENSION(nzb:nzt)   ::  diss_t !:
-       REAL(wp), DIMENSION(nzb:nzt)   ::  flux_n !:
-       REAL(wp), DIMENSION(nzb:nzt)   ::  flux_r !:
-       REAL(wp), DIMENSION(nzb:nzt)   ::  flux_t !:
+       REAL(wp), DIMENSION(nzb:nzt)   ::  diss_n !<
+       REAL(wp), DIMENSION(nzb:nzt)   ::  diss_r !<
+       REAL(wp), DIMENSION(nzb:nzt)   ::  diss_t !<
+       REAL(wp), DIMENSION(nzb:nzt)   ::  flux_n !<
+       REAL(wp), DIMENSION(nzb:nzt)   ::  flux_r !<
+       REAL(wp), DIMENSION(nzb:nzt)   ::  flux_t !<
        
-       REAL(wp), DIMENSION(nzb+1:nzt) ::  swap_diss_y_local !:
-       REAL(wp), DIMENSION(nzb+1:nzt) ::  swap_flux_y_local !:
+       REAL(wp), DIMENSION(nzb+1:nzt) ::  swap_diss_y_local !<
+       REAL(wp), DIMENSION(nzb+1:nzt) ::  swap_flux_y_local !<
        
-       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_diss_x_local !:
-       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_flux_x_local !:
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_diss_x_local !<
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_flux_x_local !<
         
 
@@ -3394,5 +3410,7 @@
 
 !------------------------------------------------------------------------------!
-! Scalar advection - Call for all grid points - accelerator version
+! Description:
+! ------------
+!> Scalar advection - Call for all grid points - accelerator version
 !------------------------------------------------------------------------------!
     SUBROUTINE advec_s_ws_acc ( sk, sk_char )
@@ -3423,59 +3441,59 @@
        IMPLICIT NONE
 
-       CHARACTER (LEN = *), INTENT(IN)    :: sk_char !:
-
-       INTEGER(iwp) ::  i      !:
-       INTEGER(iwp) ::  ibit0  !:
-       INTEGER(iwp) ::  ibit1  !:
-       INTEGER(iwp) ::  ibit2  !:
-       INTEGER(iwp) ::  ibit3  !:
-       INTEGER(iwp) ::  ibit4  !:
-       INTEGER(iwp) ::  ibit5  !:
-       INTEGER(iwp) ::  ibit6  !:
-       INTEGER(iwp) ::  ibit7  !:
-       INTEGER(iwp) ::  ibit8  !:
-       INTEGER(iwp) ::  j      !:
-       INTEGER(iwp) ::  k      !:
-       INTEGER(iwp) ::  k_mm   !:
-       INTEGER(iwp) ::  k_mmm  !:
-       INTEGER(iwp) ::  k_pp   !:
-       INTEGER(iwp) ::  k_ppp  !:
-       INTEGER(iwp) ::  tn = 0 !:
-
-       REAL(wp)    ::  diss_d !:
-       REAL(wp)    ::  diss_l !:
-       REAL(wp)    ::  diss_n !:
-       REAL(wp)    ::  diss_r !:
-       REAL(wp)    ::  diss_s !:
-       REAL(wp)    ::  diss_t !:
-       REAL(wp)    ::  div    !:
-       REAL(wp)    ::  flux_d !:
-       REAL(wp)    ::  flux_l !:
-       REAL(wp)    ::  flux_n !:
-       REAL(wp)    ::  flux_r !:
-       REAL(wp)    ::  flux_s !:
-       REAL(wp)    ::  flux_t !:
-       REAL(wp)    ::  fd_1   !:
-       REAL(wp)    ::  fl_1   !:
-       REAL(wp)    ::  fn_1   !:
-       REAL(wp)    ::  fr_1   !:
-       REAL(wp)    ::  fs_1   !:
-       REAL(wp)    ::  ft_1   !:
-       REAL(wp)    ::  phi_d  !:
-       REAL(wp)    ::  phi_l  !:
-       REAL(wp)    ::  phi_n  !:
-       REAL(wp)    ::  phi_r  !:
-       REAL(wp)    ::  phi_s  !:
-       REAL(wp)    ::  phi_t  !:
-       REAL(wp)    ::  rd     !:
-       REAL(wp)    ::  rl     !:
-       REAL(wp)    ::  rn     !:
-       REAL(wp)    ::  rr     !:
-       REAL(wp)    ::  rs     !:
-       REAL(wp)    ::  rt     !:
-       REAL(wp)    ::  u_comp !:
-       REAL(wp)    ::  v_comp !:
-
-       REAL(wp), INTENT(IN), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg)  ::  sk !:
+       CHARACTER (LEN = *), INTENT(IN)    :: sk_char !<
+
+       INTEGER(iwp) ::  i      !<
+       INTEGER(iwp) ::  ibit0  !<
+       INTEGER(iwp) ::  ibit1  !<
+       INTEGER(iwp) ::  ibit2  !<
+       INTEGER(iwp) ::  ibit3  !<
+       INTEGER(iwp) ::  ibit4  !<
+       INTEGER(iwp) ::  ibit5  !<
+       INTEGER(iwp) ::  ibit6  !<
+       INTEGER(iwp) ::  ibit7  !<
+       INTEGER(iwp) ::  ibit8  !<
+       INTEGER(iwp) ::  j      !<
+       INTEGER(iwp) ::  k      !<
+       INTEGER(iwp) ::  k_mm   !<
+       INTEGER(iwp) ::  k_mmm  !<
+       INTEGER(iwp) ::  k_pp   !<
+       INTEGER(iwp) ::  k_ppp  !<
+       INTEGER(iwp) ::  tn = 0 !<
+
+       REAL(wp)    ::  diss_d !<
+       REAL(wp)    ::  diss_l !<
+       REAL(wp)    ::  diss_n !<
+       REAL(wp)    ::  diss_r !<
+       REAL(wp)    ::  diss_s !<
+       REAL(wp)    ::  diss_t !<
+       REAL(wp)    ::  div    !<
+       REAL(wp)    ::  flux_d !<
+       REAL(wp)    ::  flux_l !<
+       REAL(wp)    ::  flux_n !<
+       REAL(wp)    ::  flux_r !<
+       REAL(wp)    ::  flux_s !<
+       REAL(wp)    ::  flux_t !<
+       REAL(wp)    ::  fd_1   !<
+       REAL(wp)    ::  fl_1   !<
+       REAL(wp)    ::  fn_1   !<
+       REAL(wp)    ::  fr_1   !<
+       REAL(wp)    ::  fs_1   !<
+       REAL(wp)    ::  ft_1   !<
+       REAL(wp)    ::  phi_d  !<
+       REAL(wp)    ::  phi_l  !<
+       REAL(wp)    ::  phi_n  !<
+       REAL(wp)    ::  phi_r  !<
+       REAL(wp)    ::  phi_s  !<
+       REAL(wp)    ::  phi_t  !<
+       REAL(wp)    ::  rd     !<
+       REAL(wp)    ::  rl     !<
+       REAL(wp)    ::  rn     !<
+       REAL(wp)    ::  rr     !<
+       REAL(wp)    ::  rs     !<
+       REAL(wp)    ::  rt     !<
+       REAL(wp)    ::  u_comp !<
+       REAL(wp)    ::  v_comp !<
+
+       REAL(wp), INTENT(IN), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg)  ::  sk !<
 
 !
@@ -3899,5 +3917,7 @@
 
 !------------------------------------------------------------------------------!
-! Advection of u - Call for all grid points
+! Description:
+! ------------
+!> Advection of u - Call for all grid points
 !------------------------------------------------------------------------------!
     SUBROUTINE advec_u_ws
@@ -3925,42 +3945,42 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i      !:
-       INTEGER(iwp) ::  ibit9  !:
-       INTEGER(iwp) ::  ibit10 !:
-       INTEGER(iwp) ::  ibit11 !:
-       INTEGER(iwp) ::  ibit12 !:
-       INTEGER(iwp) ::  ibit13 !:
-       INTEGER(iwp) ::  ibit14 !:
-       INTEGER(iwp) ::  ibit15 !:
-       INTEGER(iwp) ::  ibit16 !:
-       INTEGER(iwp) ::  ibit17 !:
-       INTEGER(iwp) ::  j      !:
-       INTEGER(iwp) ::  k      !:
-       INTEGER(iwp) ::  k_mm   !:
-       INTEGER(iwp) ::  k_pp   !:
-       INTEGER(iwp) ::  k_ppp  !:
-       INTEGER(iwp) ::  tn = 0 !:
+       INTEGER(iwp) ::  i      !<
+       INTEGER(iwp) ::  ibit9  !<
+       INTEGER(iwp) ::  ibit10 !<
+       INTEGER(iwp) ::  ibit11 !<
+       INTEGER(iwp) ::  ibit12 !<
+       INTEGER(iwp) ::  ibit13 !<
+       INTEGER(iwp) ::  ibit14 !<
+       INTEGER(iwp) ::  ibit15 !<
+       INTEGER(iwp) ::  ibit16 !<
+       INTEGER(iwp) ::  ibit17 !<
+       INTEGER(iwp) ::  j      !<
+       INTEGER(iwp) ::  k      !<
+       INTEGER(iwp) ::  k_mm   !<
+       INTEGER(iwp) ::  k_pp   !<
+       INTEGER(iwp) ::  k_ppp  !<
+       INTEGER(iwp) ::  tn = 0 !<
        
-       REAL(wp)    ::  diss_d !:
-       REAL(wp)    ::  div    !:
-       REAL(wp)    ::  flux_d !:
-       REAL(wp)    ::  gu     !:
-       REAL(wp)    ::  gv     !:
-       REAL(wp)    ::  v_comp !:
-       REAL(wp)    ::  w_comp !:
+       REAL(wp)    ::  diss_d !<
+       REAL(wp)    ::  div    !<
+       REAL(wp)    ::  flux_d !<
+       REAL(wp)    ::  gu     !<
+       REAL(wp)    ::  gv     !<
+       REAL(wp)    ::  v_comp !<
+       REAL(wp)    ::  w_comp !<
        
-       REAL(wp), DIMENSION(nzb+1:nzt) ::  swap_diss_y_local_u !:
-       REAL(wp), DIMENSION(nzb+1:nzt) ::  swap_flux_y_local_u !:
+       REAL(wp), DIMENSION(nzb+1:nzt) ::  swap_diss_y_local_u !<
+       REAL(wp), DIMENSION(nzb+1:nzt) ::  swap_flux_y_local_u !<
        
-       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_diss_x_local_u !:
-       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_flux_x_local_u !:
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_diss_x_local_u !<
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_flux_x_local_u !<
        
-       REAL(wp), DIMENSION(nzb:nzt) ::  diss_n !:
-       REAL(wp), DIMENSION(nzb:nzt) ::  diss_r !:
-       REAL(wp), DIMENSION(nzb:nzt) ::  diss_t !:
-       REAL(wp), DIMENSION(nzb:nzt) ::  flux_n !:
-       REAL(wp), DIMENSION(nzb:nzt) ::  flux_r !:
-       REAL(wp), DIMENSION(nzb:nzt) ::  flux_t !:
-       REAL(wp), DIMENSION(nzb:nzt) ::  u_comp !:
+       REAL(wp), DIMENSION(nzb:nzt) ::  diss_n !<
+       REAL(wp), DIMENSION(nzb:nzt) ::  diss_r !<
+       REAL(wp), DIMENSION(nzb:nzt) ::  diss_t !<
+       REAL(wp), DIMENSION(nzb:nzt) ::  flux_n !<
+       REAL(wp), DIMENSION(nzb:nzt) ::  flux_r !<
+       REAL(wp), DIMENSION(nzb:nzt) ::  flux_t !<
+       REAL(wp), DIMENSION(nzb:nzt) ::  u_comp !<
  
        gu = 2.0_wp * u_gtrans
@@ -4379,5 +4399,7 @@
     
 !------------------------------------------------------------------------------!
-! Advection of u - Call for all grid points - accelerator version
+! Description:
+! ------------
+!> Advection of u - Call for all grid points - accelerator version
 !------------------------------------------------------------------------------!
     SUBROUTINE advec_u_ws_acc
@@ -4406,42 +4428,42 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i      !:
-       INTEGER(iwp) ::  ibit9  !:
-       INTEGER(iwp) ::  ibit10 !:
-       INTEGER(iwp) ::  ibit11 !:
-       INTEGER(iwp) ::  ibit12 !:
-       INTEGER(iwp) ::  ibit13 !:
-       INTEGER(iwp) ::  ibit14 !:
-       INTEGER(iwp) ::  ibit15 !:
-       INTEGER(iwp) ::  ibit16 !:
-       INTEGER(iwp) ::  ibit17 !:
-       INTEGER(iwp) ::  j      !:
-       INTEGER(iwp) ::  k      !:
-       INTEGER(iwp) ::  k_mmm  !:
-       INTEGER(iwp) ::  k_mm   !:
-       INTEGER(iwp) ::  k_pp   !:
-       INTEGER(iwp) ::  k_ppp  !:
-       INTEGER(iwp) ::  tn = 0 !:
-
-       REAL(wp)    ::  diss_d   !:
-       REAL(wp)    ::  diss_l   !:
-       REAL(wp)    ::  diss_n   !:
-       REAL(wp)    ::  diss_r   !:
-       REAL(wp)    ::  diss_s   !:
-       REAL(wp)    ::  diss_t   !:
-       REAL(wp)    ::  div      !:
-       REAL(wp)    ::  flux_d   !:
-       REAL(wp)    ::  flux_l   !:
-       REAL(wp)    ::  flux_n   !:
-       REAL(wp)    ::  flux_r   !:
-       REAL(wp)    ::  flux_s   !:
-       REAL(wp)    ::  flux_t   !:
-       REAL(wp)    ::  gu       !:
-       REAL(wp)    ::  gv       !:
-       REAL(wp)    ::  u_comp   !:
-       REAL(wp)    ::  u_comp_l !:
-       REAL(wp)    ::  v_comp   !:
-       REAL(wp)    ::  v_comp_s !:
-       REAL(wp)    ::  w_comp   !:
+       INTEGER(iwp) ::  i      !<
+       INTEGER(iwp) ::  ibit9  !<
+       INTEGER(iwp) ::  ibit10 !<
+       INTEGER(iwp) ::  ibit11 !<
+       INTEGER(iwp) ::  ibit12 !<
+       INTEGER(iwp) ::  ibit13 !<
+       INTEGER(iwp) ::  ibit14 !<
+       INTEGER(iwp) ::  ibit15 !<
+       INTEGER(iwp) ::  ibit16 !<
+       INTEGER(iwp) ::  ibit17 !<
+       INTEGER(iwp) ::  j      !<
+       INTEGER(iwp) ::  k      !<
+       INTEGER(iwp) ::  k_mmm  !<
+       INTEGER(iwp) ::  k_mm   !<
+       INTEGER(iwp) ::  k_pp   !<
+       INTEGER(iwp) ::  k_ppp  !<
+       INTEGER(iwp) ::  tn = 0 !<
+
+       REAL(wp)    ::  diss_d   !<
+       REAL(wp)    ::  diss_l   !<
+       REAL(wp)    ::  diss_n   !<
+       REAL(wp)    ::  diss_r   !<
+       REAL(wp)    ::  diss_s   !<
+       REAL(wp)    ::  diss_t   !<
+       REAL(wp)    ::  div      !<
+       REAL(wp)    ::  flux_d   !<
+       REAL(wp)    ::  flux_l   !<
+       REAL(wp)    ::  flux_n   !<
+       REAL(wp)    ::  flux_r   !<
+       REAL(wp)    ::  flux_s   !<
+       REAL(wp)    ::  flux_t   !<
+       REAL(wp)    ::  gu       !<
+       REAL(wp)    ::  gv       !<
+       REAL(wp)    ::  u_comp   !<
+       REAL(wp)    ::  u_comp_l !<
+       REAL(wp)    ::  v_comp   !<
+       REAL(wp)    ::  v_comp_s !<
+       REAL(wp)    ::  w_comp   !<
 
 
@@ -4738,5 +4760,7 @@
 
 !------------------------------------------------------------------------------!
-! Advection of v - Call for all grid points
+! Description:
+! ------------
+!> Advection of v - Call for all grid points
 !------------------------------------------------------------------------------!
     SUBROUTINE advec_v_ws
@@ -4765,42 +4789,42 @@
 
 
-       INTEGER(iwp) ::  i      !:
-       INTEGER(iwp) ::  ibit18 !:
-       INTEGER(iwp) ::  ibit19 !:
-       INTEGER(iwp) ::  ibit20 !:
-       INTEGER(iwp) ::  ibit21 !:
-       INTEGER(iwp) ::  ibit22 !:
-       INTEGER(iwp) ::  ibit23 !:
-       INTEGER(iwp) ::  ibit24 !:
-       INTEGER(iwp) ::  ibit25 !:
-       INTEGER(iwp) ::  ibit26 !:
-       INTEGER(iwp) ::  j      !:
-       INTEGER(iwp) ::  k      !:
-       INTEGER(iwp) ::  k_mm   !:
-       INTEGER(iwp) ::  k_pp   !:
-       INTEGER(iwp) ::  k_ppp  !:
-       INTEGER(iwp) ::  tn = 0 !:
+       INTEGER(iwp) ::  i      !<
+       INTEGER(iwp) ::  ibit18 !<
+       INTEGER(iwp) ::  ibit19 !<
+       INTEGER(iwp) ::  ibit20 !<
+       INTEGER(iwp) ::  ibit21 !<
+       INTEGER(iwp) ::  ibit22 !<
+       INTEGER(iwp) ::  ibit23 !<
+       INTEGER(iwp) ::  ibit24 !<
+       INTEGER(iwp) ::  ibit25 !<
+       INTEGER(iwp) ::  ibit26 !<
+       INTEGER(iwp) ::  j      !<
+       INTEGER(iwp) ::  k      !<
+       INTEGER(iwp) ::  k_mm   !<
+       INTEGER(iwp) ::  k_pp   !<
+       INTEGER(iwp) ::  k_ppp  !<
+       INTEGER(iwp) ::  tn = 0 !<
        
-       REAL(wp)    ::  diss_d !:
-       REAL(wp)    ::  div    !:
-       REAL(wp)    ::  flux_d !:
-       REAL(wp)    ::  gu     !:
-       REAL(wp)    ::  gv     !:
-       REAL(wp)    ::  u_comp !:
-       REAL(wp)    ::  w_comp !:
+       REAL(wp)    ::  diss_d !<
+       REAL(wp)    ::  div    !<
+       REAL(wp)    ::  flux_d !<
+       REAL(wp)    ::  gu     !<
+       REAL(wp)    ::  gv     !<
+       REAL(wp)    ::  u_comp !<
+       REAL(wp)    ::  w_comp !<
        
-       REAL(wp), DIMENSION(nzb+1:nzt) ::  swap_diss_y_local_v !:
-       REAL(wp), DIMENSION(nzb+1:nzt) ::  swap_flux_y_local_v !:
+       REAL(wp), DIMENSION(nzb+1:nzt) ::  swap_diss_y_local_v !<
+       REAL(wp), DIMENSION(nzb+1:nzt) ::  swap_flux_y_local_v !<
        
-       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_diss_x_local_v !:
-       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_flux_x_local_v !:
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_diss_x_local_v !<
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_flux_x_local_v !<
        
-       REAL(wp), DIMENSION(nzb:nzt) ::  diss_n !:
-       REAL(wp), DIMENSION(nzb:nzt) ::  diss_r !:
-       REAL(wp), DIMENSION(nzb:nzt) ::  diss_t !:
-       REAL(wp), DIMENSION(nzb:nzt) ::  flux_n !:
-       REAL(wp), DIMENSION(nzb:nzt) ::  flux_r !:
-       REAL(wp), DIMENSION(nzb:nzt) ::  flux_t !:
-       REAL(wp), DIMENSION(nzb:nzt) ::  v_comp !:
+       REAL(wp), DIMENSION(nzb:nzt) ::  diss_n !<
+       REAL(wp), DIMENSION(nzb:nzt) ::  diss_r !<
+       REAL(wp), DIMENSION(nzb:nzt) ::  diss_t !<
+       REAL(wp), DIMENSION(nzb:nzt) ::  flux_n !<
+       REAL(wp), DIMENSION(nzb:nzt) ::  flux_r !<
+       REAL(wp), DIMENSION(nzb:nzt) ::  flux_t !<
+       REAL(wp), DIMENSION(nzb:nzt) ::  v_comp !<
 
        gu = 2.0_wp * u_gtrans
@@ -5230,5 +5254,7 @@
     
 !------------------------------------------------------------------------------!
-! Advection of v - Call for all grid points - accelerator version
+! Description:
+! ------------
+!> Advection of v - Call for all grid points - accelerator version
 !------------------------------------------------------------------------------!
     SUBROUTINE advec_v_ws_acc
@@ -5258,42 +5284,42 @@
 
 
-       INTEGER(iwp) ::  i      !:
-       INTEGER(iwp) ::  ibit18 !:
-       INTEGER(iwp) ::  ibit19 !:
-       INTEGER(iwp) ::  ibit20 !:
-       INTEGER(iwp) ::  ibit21 !:
-       INTEGER(iwp) ::  ibit22 !:
-       INTEGER(iwp) ::  ibit23 !:
-       INTEGER(iwp) ::  ibit24 !:
-       INTEGER(iwp) ::  ibit25 !:
-       INTEGER(iwp) ::  ibit26 !:
-       INTEGER(iwp) ::  j      !:
-       INTEGER(iwp) ::  k      !:
-       INTEGER(iwp) ::  k_mm   !:
-       INTEGER(iwp) ::  k_mmm  !:
-       INTEGER(iwp) ::  k_pp   !:
-       INTEGER(iwp) ::  k_ppp  !:
-       INTEGER(iwp) ::  tn = 0 !:
-
-       REAL(wp)    ::  diss_d   !:
-       REAL(wp)    ::  diss_l   !:
-       REAL(wp)    ::  diss_n   !:
-       REAL(wp)    ::  diss_r   !:
-       REAL(wp)    ::  diss_s   !:
-       REAL(wp)    ::  diss_t   !:
-       REAL(wp)    ::  div      !:
-       REAL(wp)    ::  flux_d   !:
-       REAL(wp)    ::  flux_l   !:
-       REAL(wp)    ::  flux_n   !:
-       REAL(wp)    ::  flux_r   !:
-       REAL(wp)    ::  flux_s   !:
-       REAL(wp)    ::  flux_t   !:
-       REAL(wp)    ::  gu       !:
-       REAL(wp)    ::  gv       !:
-       REAL(wp)    ::  u_comp   !:
-       REAL(wp)    ::  u_comp_l !:
-       REAL(wp)    ::  v_comp   !:
-       REAL(wp)    ::  v_comp_s !:
-       REAL(wp)    ::  w_comp   !:
+       INTEGER(iwp) ::  i      !<
+       INTEGER(iwp) ::  ibit18 !<
+       INTEGER(iwp) ::  ibit19 !<
+       INTEGER(iwp) ::  ibit20 !<
+       INTEGER(iwp) ::  ibit21 !<
+       INTEGER(iwp) ::  ibit22 !<
+       INTEGER(iwp) ::  ibit23 !<
+       INTEGER(iwp) ::  ibit24 !<
+       INTEGER(iwp) ::  ibit25 !<
+       INTEGER(iwp) ::  ibit26 !<
+       INTEGER(iwp) ::  j      !<
+       INTEGER(iwp) ::  k      !<
+       INTEGER(iwp) ::  k_mm   !<
+       INTEGER(iwp) ::  k_mmm  !<
+       INTEGER(iwp) ::  k_pp   !<
+       INTEGER(iwp) ::  k_ppp  !<
+       INTEGER(iwp) ::  tn = 0 !<
+
+       REAL(wp)    ::  diss_d   !<
+       REAL(wp)    ::  diss_l   !<
+       REAL(wp)    ::  diss_n   !<
+       REAL(wp)    ::  diss_r   !<
+       REAL(wp)    ::  diss_s   !<
+       REAL(wp)    ::  diss_t   !<
+       REAL(wp)    ::  div      !<
+       REAL(wp)    ::  flux_d   !<
+       REAL(wp)    ::  flux_l   !<
+       REAL(wp)    ::  flux_n   !<
+       REAL(wp)    ::  flux_r   !<
+       REAL(wp)    ::  flux_s   !<
+       REAL(wp)    ::  flux_t   !<
+       REAL(wp)    ::  gu       !<
+       REAL(wp)    ::  gv       !<
+       REAL(wp)    ::  u_comp   !<
+       REAL(wp)    ::  u_comp_l !<
+       REAL(wp)    ::  v_comp   !<
+       REAL(wp)    ::  v_comp_s !<
+       REAL(wp)    ::  w_comp   !<
 
        gu = 2.0_wp * u_gtrans
@@ -5594,5 +5620,7 @@
     
 !------------------------------------------------------------------------------!
-! Advection of w - Call for all grid points
+! Description:
+! ------------
+!> Advection of w - Call for all grid points
 !------------------------------------------------------------------------------!
     SUBROUTINE advec_w_ws
@@ -5621,42 +5649,42 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i      !:
-       INTEGER(iwp) ::  ibit27 !:
-       INTEGER(iwp) ::  ibit28 !:
-       INTEGER(iwp) ::  ibit29 !:
-       INTEGER(iwp) ::  ibit30 !:
-       INTEGER(iwp) ::  ibit31 !:
-       INTEGER(iwp) ::  ibit32 !:
-       INTEGER(iwp) ::  ibit33 !:
-       INTEGER(iwp) ::  ibit34 !:
-       INTEGER(iwp) ::  ibit35 !:
-       INTEGER(iwp) ::  j      !:
-       INTEGER(iwp) ::  k      !:
-       INTEGER(iwp) ::  k_mm   !:
-       INTEGER(iwp) ::  k_pp   !:
-       INTEGER(iwp) ::  k_ppp  !:
-       INTEGER(iwp) ::  tn = 0 !:
+       INTEGER(iwp) ::  i      !<
+       INTEGER(iwp) ::  ibit27 !<
+       INTEGER(iwp) ::  ibit28 !<
+       INTEGER(iwp) ::  ibit29 !<
+       INTEGER(iwp) ::  ibit30 !<
+       INTEGER(iwp) ::  ibit31 !<
+       INTEGER(iwp) ::  ibit32 !<
+       INTEGER(iwp) ::  ibit33 !<
+       INTEGER(iwp) ::  ibit34 !<
+       INTEGER(iwp) ::  ibit35 !<
+       INTEGER(iwp) ::  j      !<
+       INTEGER(iwp) ::  k      !<
+       INTEGER(iwp) ::  k_mm   !<
+       INTEGER(iwp) ::  k_pp   !<
+       INTEGER(iwp) ::  k_ppp  !<
+       INTEGER(iwp) ::  tn = 0 !<
        
-       REAL(wp)    ::  diss_d !:
-       REAL(wp)    ::  div    !:
-       REAL(wp)    ::  flux_d !:
-       REAL(wp)    ::  gu     !:
-       REAL(wp)    ::  gv     !:
-       REAL(wp)    ::  u_comp !:
-       REAL(wp)    ::  v_comp !:
-       REAL(wp)    ::  w_comp !:
+       REAL(wp)    ::  diss_d !<
+       REAL(wp)    ::  div    !<
+       REAL(wp)    ::  flux_d !<
+       REAL(wp)    ::  gu     !<
+       REAL(wp)    ::  gv     !<
+       REAL(wp)    ::  u_comp !<
+       REAL(wp)    ::  v_comp !<
+       REAL(wp)    ::  w_comp !<
        
-       REAL(wp), DIMENSION(nzb:nzt)    ::  diss_t !:
-       REAL(wp), DIMENSION(nzb:nzt)    ::  flux_t !:
+       REAL(wp), DIMENSION(nzb:nzt)    ::  diss_t !<
+       REAL(wp), DIMENSION(nzb:nzt)    ::  flux_t !<
        
-       REAL(wp), DIMENSION(nzb+1:nzt)  ::  diss_n !:
-       REAL(wp), DIMENSION(nzb+1:nzt)  ::  diss_r !:
-       REAL(wp), DIMENSION(nzb+1:nzt)  ::  flux_n !:
-       REAL(wp), DIMENSION(nzb+1:nzt)  ::  flux_r !:
-       REAL(wp), DIMENSION(nzb+1:nzt)  ::  swap_diss_y_local_w !:
-       REAL(wp), DIMENSION(nzb+1:nzt)  ::  swap_flux_y_local_w !:
+       REAL(wp), DIMENSION(nzb+1:nzt)  ::  diss_n !<
+       REAL(wp), DIMENSION(nzb+1:nzt)  ::  diss_r !<
+       REAL(wp), DIMENSION(nzb+1:nzt)  ::  flux_n !<
+       REAL(wp), DIMENSION(nzb+1:nzt)  ::  flux_r !<
+       REAL(wp), DIMENSION(nzb+1:nzt)  ::  swap_diss_y_local_w !<
+       REAL(wp), DIMENSION(nzb+1:nzt)  ::  swap_flux_y_local_w !<
        
-       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_diss_x_local_w !:
-       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_flux_x_local_w !:
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_diss_x_local_w !<
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_flux_x_local_w !<
  
        gu = 2.0_wp * u_gtrans
@@ -6061,5 +6089,7 @@
 
 !------------------------------------------------------------------------------!
-! Advection of w - Call for all grid points - accelerator version
+! Description:
+! ------------
+!> Advection of w - Call for all grid points - accelerator version
 !------------------------------------------------------------------------------!
     SUBROUTINE advec_w_ws_acc
@@ -6088,42 +6118,42 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i      !:
-       INTEGER(iwp) ::  ibit27 !:
-       INTEGER(iwp) ::  ibit28 !:
-       INTEGER(iwp) ::  ibit29 !:
-       INTEGER(iwp) ::  ibit30 !:
-       INTEGER(iwp) ::  ibit31 !:
-       INTEGER(iwp) ::  ibit32 !:
-       INTEGER(iwp) ::  ibit33 !:
-       INTEGER(iwp) ::  ibit34 !:
-       INTEGER(iwp) ::  ibit35 !:
-       INTEGER(iwp) ::  j      !:
-       INTEGER(iwp) ::  k      !:
-       INTEGER(iwp) ::  k_mmm  !:
-       INTEGER(iwp) ::  k_mm   !:
-       INTEGER(iwp) ::  k_pp   !:
-       INTEGER(iwp) ::  k_ppp  !:
-       INTEGER(iwp) ::  tn = 0 !:
-
-       REAL(wp)    ::  diss_d   !:
-       REAL(wp)    ::  diss_l   !:
-       REAL(wp)    ::  diss_n   !:
-       REAL(wp)    ::  diss_r   !:
-       REAL(wp)    ::  diss_s   !:
-       REAL(wp)    ::  diss_t   !:
-       REAL(wp)    ::  div      !:
-       REAL(wp)    ::  flux_d   !:
-       REAL(wp)    ::  flux_l   !:
-       REAL(wp)    ::  flux_n   !:
-       REAL(wp)    ::  flux_r   !:
-       REAL(wp)    ::  flux_s   !:
-       REAL(wp)    ::  flux_t   !:
-       REAL(wp)    ::  gu       !:
-       REAL(wp)    ::  gv       !:
-       REAL(wp)    ::  u_comp   !:
-       REAL(wp)    ::  u_comp_l !:
-       REAL(wp)    ::  v_comp   !:
-       REAL(wp)    ::  v_comp_s !:
-       REAL(wp)    ::  w_comp   !:
+       INTEGER(iwp) ::  i      !<
+       INTEGER(iwp) ::  ibit27 !<
+       INTEGER(iwp) ::  ibit28 !<
+       INTEGER(iwp) ::  ibit29 !<
+       INTEGER(iwp) ::  ibit30 !<
+       INTEGER(iwp) ::  ibit31 !<
+       INTEGER(iwp) ::  ibit32 !<
+       INTEGER(iwp) ::  ibit33 !<
+       INTEGER(iwp) ::  ibit34 !<
+       INTEGER(iwp) ::  ibit35 !<
+       INTEGER(iwp) ::  j      !<
+       INTEGER(iwp) ::  k      !<
+       INTEGER(iwp) ::  k_mmm  !<
+       INTEGER(iwp) ::  k_mm   !<
+       INTEGER(iwp) ::  k_pp   !<
+       INTEGER(iwp) ::  k_ppp  !<
+       INTEGER(iwp) ::  tn = 0 !<
+
+       REAL(wp)    ::  diss_d   !<
+       REAL(wp)    ::  diss_l   !<
+       REAL(wp)    ::  diss_n   !<
+       REAL(wp)    ::  diss_r   !<
+       REAL(wp)    ::  diss_s   !<
+       REAL(wp)    ::  diss_t   !<
+       REAL(wp)    ::  div      !<
+       REAL(wp)    ::  flux_d   !<
+       REAL(wp)    ::  flux_l   !<
+       REAL(wp)    ::  flux_n   !<
+       REAL(wp)    ::  flux_r   !<
+       REAL(wp)    ::  flux_s   !<
+       REAL(wp)    ::  flux_t   !<
+       REAL(wp)    ::  gu       !<
+       REAL(wp)    ::  gv       !<
+       REAL(wp)    ::  u_comp   !<
+       REAL(wp)    ::  u_comp_l !<
+       REAL(wp)    ::  v_comp   !<
+       REAL(wp)    ::  v_comp_s !<
+       REAL(wp)    ::  w_comp   !<
 
        gu = 2.0_wp * u_gtrans
